Bug 493714 - lvs seg fault due to 'unknown device' PV
lvs seg fault due to 'unknown device' PV
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 15:32 EDT by Corey Marthaler
Modified: 2010-07-15 12:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 12:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core file from taft-03 (788.00 KB, application/octet-stream)
2009-04-02 15:34 EDT, Corey Marthaler
no flags Details

  None (edit)
Description Corey Marthaler 2009-04-02 15:32:32 EDT
Description of problem:
After failing /dev/sdf which was apart of cmirror legs, and then re activating that leg, an lvs cmd (run on all nodes in the cluster) seg faulted:

[root@taft-03 ~]# lvs
  Couldn't find device with uuid 'Jd6003-4CHG-0anm-3HaJ-5l8B-Yn1h-7When8'.
  Couldn't find device with uuid 'Jd6003-4CHG-0anm-3HaJ-5l8B-Yn1h-7When8'.
  Volume group "helter_skelter" inconsistent
  Couldn't find device with uuid 'Jd6003-4CHG-0anm-3HaJ-5l8B-Yn1h-7When8'.
  Couldn't find device with uuid 'Jd6003-4CHG-0anm-3HaJ-5l8B-Yn1h-7When8'.
  WARNING: Inconsistent metadata found for VG helter_skelter - updating to use version 9
  Removing PV unknown device (Jd6003-4CHG-0anm-3HaJ-5l8B-Yn1h-7When8) that no longer belongs to VG helter_skelter
Segmentation fault (core dumped)

I'll attach the core file.


Version-Release number of selected component (if applicable):
2.6.18-128.el5

lvm2-2.02.40-6.el5    BUILT: Fri Oct 24 07:37:33 CDT 2008
lvm2-cluster-2.02.40-7.el5    BUILT: Wed Nov 26 07:19:19 CST 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
Comment 1 Corey Marthaler 2009-04-02 15:34:14 EDT
Created attachment 337881 [details]
core file from taft-03
Comment 4 Milan Broz 2010-06-23 11:27:15 EDT
Is this still reproducible with recent build?
Comment 5 Corey Marthaler 2010-07-15 12:44:33 EDT
This bug hasn't been seen in over a year, closing...

Note You need to log in before you can comment on or make changes to this bug.